#!/bin/sh
#
export DYLD_LIBRARY_PATH=/opt/intel/lib:$DYLD_LIBRARY_PATH
CDO=src/cdo
#
#
$CDO -V
#
for N in 3 4 5 6 7 8 9; do
  IFILE=topor2b$N
  $CDO -f nc4 topo,icor2b$N $IFILE
  OFILE=${IFILE}ycon
  echo "process $IFILE"
  time $CDO -P 4  remapcon,global_0.2 $IFILE ${OFILE}
done
#
# CDO version 2.0.0rc6
#
#1 mistral: intel 18.0.5 avx2 (interactiv on mg207 node)
#       3   4   5    6    7     8      9     10    11    12
#6      2   2   3    3    6    16     62    268  1207  6255
#8      2   2   2    3    5    14     55    250  1140  5962

#
# CDO version 1.9.5rc2
#
#1 bailung: gcc 7.2 sse4_2
#2   8 cores
#3   spherepart
#4   spherepart  4 cores
#5   spherepart  8 cores
#6   spherepart 16 cores
#7   spherepart 24 cores
#8   spherepart 36 cores
#       3   4   5    6    7     8      9     10
#1     24  34  71  194  723 10245
#2      5   6  11   28  106  1104   5595
#3     28  29  32   39   53    92    210
#5      5   5   6    7   10    21     65

#1 mistral: intel 18.0.1 avx2 (interactiv on mg208 node)
#       3   4   5    6    7     8      9     10    11    12
#1     15  22  54  161  568  4454
#2      3   4   9   20   68   364   2692
#3     13  15  17   21   32    67    156    527
#5      3   3   4    5    8    19     68    287
#6      2   2   3    3    6    16     62    272  1260  5831
#7      2   2   2    3    5    15     61    267

# CDO version 1.9.8
#
#1 hama: gcc 9.1 avx2
#       3   4   5    6    7     8      9     10
#3     16  17  19   23   32    58    136
#4      5   6   6    7   11    21     54

# CDO version 2.0.0 (YAC2)
#
#1 hama: gcc 10.2 avx2
#       3   4   5    6    7     8      9     10
#3     16  16  18   22   31    55    129
#4      5   5   6    7   10    19     50

#1 mistral: intel 18.0.1 avx2 (interactiv on mg208 node)
# CDO version 1.9.8  -P 16
#           ncells        remapcon       remapnn
# R2B8 (   5242880)   [  22s   3GB]  [   3s   1GB]
# R2B9 (  20971520)   [  86s  10GB]  [  10s   3GB]
# R2B10(  83886080)   [ 376s  36GB]  [  34s  11GB]
# R2B11( 335544320)   [1664s 143GB]  [ 161s  43GB]
# R2B12(1342177280)   [7713s 566GB]  [ 711s 174GB]
# R2B13(5368709120)                  [3497s 699GB]
